GlobalAiOpc
Seedance X1 - 创建任务
使用 Seedance X1 创建视频生成任务,支持首帧、首尾帧和多模态参考输入
Seedance X1 创建视频任务
使用 Seedance X1 创建视频生成任务。请求体采用
content[] 结构,支持文本提示词、图片、视频和音频参考。认证
获取 Key所有请求都需要在请求头中包含 Bearer token:
cURL
Authorization: Bearer {{key}}
基础 URL
https://zcbservice.aizfw.cn/kyyReactApiServerbaseUrl 为所有对外 API 的公共前缀。当前页面 frontmatter 中的 api 字段展示的是完整请求地址,请在接入时以这里的 baseUrl 为统一前缀理解和拼接接口路径。请求参数
modelstring必填用户侧模型名,可选值:
seedance_2_0_x1_officialseedance_2_0_x1_discountseedance_fast_2_0_x1_officialseedance_fast_2_0_x1_discount
resolutionstring输出分辨率,默认
720p可选值:
480p720p1080p
ratiostring输出视频宽高比,默认
16:9可选值:
21:916:94:31:13:49:16
durationinteger视频时长(秒),默认
5,范围 4-15contentarray必填内容列表,必须包含一个
type=text 的提示词项,并至少包含一张图片或一个参考素材。content[].typestring必填内容类型,可选值:
textimage_urlvideo_urlaudio_url
content[].textstring文本提示词。当
content[].type=text 时必填。content[].rolestring素材语义角色。
image_url 支持:first_framelast_framereference_image
video_url 支持:reference_video
audio_url 支持:reference_audio
content[].image_url.urlstring图片 URL 或素材 ID。当
content[].type=image_url 时必填。未指定
role 的单个图片会按首帧图处理。content[].video_url.urlstring视频 URL 或素材 ID。当
content[].type=video_url 时必填。content[].audio_url.urlstring音频 URL 或素材 ID。当
content[].type=audio_url 时必填。响应参数
idstring视频生成任务的唯一标识符,用于后续查询任务状态
objectstring对象类型,固定为
videocreatedinteger任务创建时间戳
modelstring请求使用的用户侧模型名
statusstring任务状态:
queued- 排队中processing- 处理中completed- 已完成failed- 失败
errorstring错误信息,当任务创建失败时返回
参数规则
content 组合规则:
content必须包含type=text的提示词项- 暂不支持纯文本生成,至少需要一张图片或一个参考素材
last_frame必须搭配first_frame使用- 首尾帧场景不能与
reference_image、reference_video、reference_audio混用 reference_audio不能单独使用,必须搭配reference_image或reference_video
暂不支持
callback_url、priority、safety_identifier、service_tier、execution_expires_after、tools、generate_audio、return_last_frame、seed、watermark 等顶层字段。模型说明
| 模型 | 说明 | 支持分辨率 |
|---|---|---|
seedance_2_0_x1_official | 标准系列 | 480p、720p、1080p |
seedance_2_0_x1_discount | 标准特价系列 | 480p、720p、1080p |
seedance_fast_2_0_x1_official | 快速系列 | 480p、720p、1080p |
seedance_fast_2_0_x1_discount | 快速特价系列 | 480p、720p、1080p |
